<template>
  <div>
    <el-drawer
      title="历史体检记录"
      :visible.sync="table"
      direction="rtl"
      size="50%"
    >
      <el-table :data="HistoryList" style="width: 95%; margin-left: 20px" border>
        <el-table-column
          property="tjNum"
          label="体检号"
          align="center"
          :show-overflow-tooltip="true"
        ></el-table-column>
        <el-table-column
          property="userName"
          label="姓名"
          align="center"
          :show-overflow-tooltip="true"
        ></el-table-column>
        <el-table-column
          property="tjTime"
          label="体检时间"
          align="center"
          :show-overflow-tooltip="true"
        ></el-table-column>
        <el-table-column
          property="tjProName"
          label="体检项目"
          align="center"
          :show-overflow-tooltip="true"
        ></el-table-column>
      </el-table>
    </el-drawer>
   
  </div>
</template>

<script>
import {
  getHistryTjOrderByCusIdCard,
} from "@/api/system/tijian";
export default {
  name: "historyTj",
  props: {
    cusIdCard: {
      default: false,
      type: String,
    },
  },
  data() {
    return {
      proIdList: [],
      tableDatas: [],
      dialogVisiblese: false,
      lishi: false,
      table: false,
      HistoryList: {},
      cusIdCards:"",
    };
  },
  //   created() {
  //     this.getlist();
  //   },
  watch: {
    cusIdCard(val, newVla) {
      console.log(val, newVla);
      if (val) {
        this.cusIdCards = val;
      }
    },
  },
  methods: {
    getlist() {
      let cusIdCard = this.cusIdCards;
      getHistryTjOrderByCusIdCard(cusIdCard).then((res) => {
        if (res.code == 200) {
          this.table = true;
          this.lishi = true;
          this.HistoryList = res.data;
        }
      });
    },
  },
};
</script>

<style lang="scss" scoped>
</style>